//------------------------------------------------------------------------------
// <auto-generated>
//    Este código se generó a partir de una plantilla.
//
//    Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//    Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Conector
{
    using System;
    using System.Collections.Generic;
    
    public partial class USUARIO
    {
        public USUARIO()
        {
            this.HISTORICO_TAREA = new HashSet<HISTORICO_TAREA>();
            this.TAREA = new HashSet<TAREA>();
        }
    
        public decimal ID_USUARIO { get; set; }
        public string NOMBREUSUARIO { get; set; }
        public string CONTRASENNA { get; set; }
        public string NOMBRE { get; set; }
        public string APELLIDOS { get; set; }
        public string CORREO { get; set; }
        public decimal PERFIL_ID { get; set; }
        public decimal CARGO_ID { get; set; }
        public decimal EMPRESA_ID { get; set; }
    
        public virtual CARGO CARGO { get; set; }
        public virtual EMPRESA EMPRESA { get; set; }
        public virtual ICollection<HISTORICO_TAREA> HISTORICO_TAREA { get; set; }
        public virtual PERFIL PERFIL { get; set; }
        public virtual ICollection<TAREA> TAREA { get; set; }
    }
}
